.button {
    @apply text-neutral-050 flex items-center justify-center px-3 py-1 rounded h-full font-sans font-light cursor-pointer uppercase transition-all transition-fast;
}

.button-primary {
    height: 2.375rem;
    background: linear-gradient(to right, #47bfff 0%, #1a44c2 60%) 25%;
    background-size: 330% 100%;

    @apply shadow;

    &:hover {
        background: linear-gradient(to right, #47bfff 0%, #1a44c2 60%) 0%;
        background-size: 330% 100%;
       @apply shadow-md text-white;
    }

    &:disabled {
        background-image: none;
        @apply border-neutral-200 bg-neutral-200 shadow-none cursor-not-allowed;
    }
}

.button-secondary {
    @apply shadow rounded shadow-none outline-none bg-neutral-500 border-none cursor-pointer shadow-none transition-all transition-fast text-neutral-050;

    &:hover {
        @apply shadow-md bg-neutral-400 text-white border-none outline-none;
    }
}

.button-transparent {
    background: transparentize(#5D5D74, 0.8);

    @apply rounded outline-none border-none cursor-pointer shadow-none transition-all transition-fast text-neutral-050;

    &:hover {
        background: transparentize(#5D5D74, 0.4);

        @apply bg-neutral-400 text-white border-none outline-none;
    }
}

.button-neutral {
    @apply border rounded border-neutral-200 text-neutral-200 shadow-none cursor-pointer transition-all transition-fast;

    &:hover {
        @apply border-neutral-100 text-neutral-100;
    }
}

.button-hero {
    @apply  m-2 w-56;
}

.button-full {
    @apply w-full;
}
